Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_WIN32_Asynch_Write_Stream_Result Class Reference

This is class provides concrete implementation for ACE_Asynch_Write_Stream::Result class. More...

`#include <WIN32_Asynch_IO.h>`

Inheritance diagram for ACE_WIN32_Asynch_Write_Stream_Result:

[legend]
Collaboration diagram for ACE_WIN32_Asynch_Write_Stream_Result:

[legend]
List of all members.

## Public Methods
u_long | bytes_to_write (void) const
| The number of bytes which were requested at the start of the asynchronous write. More...
ACE_Message_Block & | message_block (void) const
| Message block that contains the data to be written. More...
ACE_HANDLE | handle (void) const
| I/O handle used for writing. More...
u_long | bytes_transferred (void) const
| Number of bytes transferred by the operation. More...
const void * | act (void) const
| ACT associated with the operation. More...
int | success (void) const
| Did the operation succeed? More...
const void * | completion_key (void) const
u_long | error (void) const
| Error value if the operation fail. More...
ACE_HANDLE | event (void) const
| Event associated with the OVERLAPPED structure. More...
u_long | offset (void) const
| This really make sense only when doing file I/O. More...
u_long | offset_high (void) const
| Offset_high associated with the OVERLAPPED structure. More...
int | priority (void) const
| The priority of the asynchronous operation. Currently, this is not supported on Win32. More...
int | signal_number (void) const
| No-op. Returns 0. More...
int | post_completion (ACE_Proactor_Impl *proactor)
| Post <this> to the Proactor's completion port. More...
## Protected Methods
| ACE_WIN32_Asynch_Write_Stream_Result (ACE_Handler &handler, ACE_HANDLE handle, ACE_Message_Block &message_block, u_long bytes_to_write, const void *act, ACE_HANDLE event, int priority, int signal_number=0)
virtual void | complete (u_long bytes_transferred, int success, const void *completion_key, u_long error)
| ACE_Proactor will call this method when the write completes. More...
virtual | ~ACE_WIN32_Asynch_Write_Stream_Result (void)
| Destructor. More...
## Protected Attributes
u_long | bytes_to_write_
| The number of bytes which were requested at the start of the asynchronous write. More...
ACE_Message_Block & | message_block_
| Message block that contains the data to be written. More...
ACE_HANDLE | handle_
| I/O handle used for writing. More...
## Friends
class | ACE_WIN32_Asynch_Write_Stream
| Factory class willl have special permissions. More...
class | ACE_WIN32_Proactor
| Proactor class has special permission. More...

## Detailed Description

This is class provides concrete implementation for ACE_Asynch_Write_Stream::Result class.

## Constructor & Destructor Documentation

ACE_WIN32_Asynch_Write_Stream_Result::ACE_WIN32_Asynch_Write_Stream_Result | ( | ACE_Handler & | handler,
|  | ACE_HANDLE | handle,
|  | ACE_Message_Block & | message_block,
|  | u_long | bytes_to_write,
|  | const void * | act,
|  | ACE_HANDLE | event,
|  | int | priority,
|  | int | signal_number = 0
| ) | `[protected]`

ACE_WIN32_Asynch_Write_Stream_Result::~ACE_WIN32_Asynch_Write_Stream_Result | ( | void |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

const void * ACE_WIN32_Asynch_Write_Stream_Result::act | ( | void |  | ) | const

| ACT associated with the operation. Reimplemented from ACE_WIN32_Asynch_Result. Reimplemented in ACE_WIN32_Asynch_Write_File_Result.

u_long ACE_WIN32_Asynch_Write_Stream_Result::bytes_to_write | ( | void |  | ) | const

| The number of bytes which were requested at the start of the asynchronous write. Reimplemented in ACE_WIN32_Asynch_Write_File_Result.

u_long ACE_WIN32_Asynch_Write_Stream_Result::bytes_transferred | ( | void |  | ) | const

| Number of bytes transferred by the operation. Reimplemented from ACE_WIN32_Asynch_Result. Reimplemented in ACE_WIN32_Asynch_Write_File_Result.

void ACE_WIN32_Asynch_Write_Stream_Result::complete | ( | u_long | bytes_transferred,
|  | int | success,
|  | const void * | completion_key,
|  | u_long | error
| ) | `[protected, virtual]`

| ACE_Proactor will call this method when the write completes. Reimplemented in ACE_WIN32_Asynch_Write_File_Result.

const void * ACE_WIN32_Asynch_Write_Stream_Result::completion_key | ( | void |  | ) | const

| This returns the ACT associated with the handle when it was registered with the I/O completion port. This ACT is not the same as the ACT associated with the asynchronous operation. Reimplemented from ACE_WIN32_Asynch_Result. Reimplemented in ACE_WIN32_Asynch_Write_File_Result.

u_long ACE_WIN32_Asynch_Write_Stream_Result::error | ( | void |  | ) | const

| Error value if the operation fail. Reimplemented from ACE_WIN32_Asynch_Result. Reimplemented in ACE_WIN32_Asynch_Write_File_Result.

ACE_HANDLE ACE_WIN32_Asynch_Write_Stream_Result::event | ( | void |  | ) | const

| Event associated with the OVERLAPPED structure. Reimplemented from ACE_WIN32_Asynch_Result. Reimplemented in ACE_WIN32_Asynch_Write_File_Result.

ACE_HANDLE ACE_WIN32_Asynch_Write_Stream_Result::handle | ( | void |  | ) | const

| I/O handle used for writing. Reimplemented in ACE_WIN32_Asynch_Write_File_Result.

ACE_Message_Block & ACE_WIN32_Asynch_Write_Stream_Result::message_block | ( | void |  | ) | const

| Message block that contains the data to be written. Reimplemented in ACE_WIN32_Asynch_Write_File_Result.

u_long ACE_WIN32_Asynch_Write_Stream_Result::offset | ( | void |  | ) | const

| This really make sense only when doing file I/O. Reimplemented from ACE_WIN32_Asynch_Result. Reimplemented in ACE_WIN32_Asynch_Write_File_Result.

u_long ACE_WIN32_Asynch_Write_Stream_Result::offset_high | ( | void |  | ) | const

| Offset_high associated with the OVERLAPPED structure. Reimplemented from ACE_WIN32_Asynch_Result. Reimplemented in ACE_WIN32_Asynch_Write_File_Result.

int ACE_WIN32_Asynch_Write_Stream_Result::post_completion | ( | ACE_Proactor_Impl * | proactor | ) |

| Post <this> to the Proactor's completion port. Reimplemented from ACE_WIN32_Asynch_Result. Reimplemented in ACE_WIN32_Asynch_Write_File_Result.

int ACE_WIN32_Asynch_Write_Stream_Result::priority | ( | void |  | ) | const

| The priority of the asynchronous operation. Currently, this is not supported on Win32. Reimplemented from ACE_WIN32_Asynch_Result. Reimplemented in ACE_WIN32_Asynch_Write_File_Result.

int ACE_WIN32_Asynch_Write_Stream_Result::signal_number | ( | void |  | ) | const

| No-op. Returns 0. Reimplemented from ACE_WIN32_Asynch_Result. Reimplemented in ACE_WIN32_Asynch_Write_File_Result.

int ACE_WIN32_Asynch_Write_Stream_Result::success | ( | void |  | ) | const

| Did the operation succeed? Reimplemented from ACE_WIN32_Asynch_Result. Reimplemented in ACE_WIN32_Asynch_Write_File_Result.

## Friends And Related Function Documentation

friend class ACE_WIN32_Asynch_Write_Stream`[friend]`

| Factory class willl have special permissions.

friend class ACE_WIN32_Proactor`[friend]`

| Proactor class has special permission. Reimplemented from ACE_WIN32_Asynch_Result. Reimplemented in ACE_WIN32_Asynch_Write_File_Result.

## Member Data Documentation

u_long ACE_WIN32_Asynch_Write_Stream_Result::bytes_to_write_`[protected]`

| The number of bytes which were requested at the start of the asynchronous write.

ACE_HANDLE ACE_WIN32_Asynch_Write_Stream_Result::handle_`[protected]`

| I/O handle used for writing.

ACE_Message_Block& ACE_WIN32_Asynch_Write_Stream_Result::message_block_`[protected]`

| Message block that contains the data to be written.

The documentation for this class was generated from the following files:

- WIN32_Asynch_IO.h
- WIN32_Asynch_IO.cpp